// Copyright (c) Microsoft Corporation.
// Licensed under the MIT license.
// Generated from ../../../cs/src/Contracts/TunnelAuthenticationSchemes.cs
/* eslint-disable */

/**
 * Defines string constants for authentication schemes supported by tunnel service APIs.
 */
export enum TunnelAuthenticationSchemes {
    /**
     * Authentication scheme for AAD (or Microsoft account) access tokens.
     */
    Aad = 'aad',

    /**
     * Authentication scheme for GitHub access tokens.
     */
    GitHub = 'github',

    /**
     * Authentication scheme for tunnel access tokens.
     */
    Tunnel = 'tunnel',

    /**
     * Authentication scheme for tunnelPlan access tokens.
     */
    TunnelPlan = 'tunnelplan',
}
